Skip to main content
POST
/
datasets
/
v3
/
scrape
Discover by Category URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "title": "USB-C Fast Charging Cable 6ft",
    "url": "https://www.amazon.com/dp/B0B12345AB",
    "asin": "B0B12345AB",
    "price": 12.99,
    "currency": "USD",
    "rating": 4.5,
    "reviews_count": 34500,
    "seller_name": "CablePro",
    "brand": "CablePro",
    "availability": "In Stock",
    "main_image": "https://m.media-amazon.com/images/I/example-category.jpg",
    "description": "Durable braided USB-C cable with fast charging support up to 100W.",
    "category": "Electronics > Accessories > Cables"
  }
]

Query Parameters

dataset_id
string
default:"gd_l7q7dkf244hwjntr0"
required
The dataset ID used for this request.
Must be set to gd_l7q7dkf244hwjntr0 to collect Discover by Category URL data.
type
string
default:"discover_new"
Must be set to discover_new.
discover_by
string
default:"category_url"
Must be set to category_url.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.amazon.com/s?bbn=172282&rh=n%3A172282"}
  ]
}
[
  {
    "title": "USB-C Fast Charging Cable 6ft",
    "url": "https://www.amazon.com/dp/B0B12345AB",
    "asin": "B0B12345AB",
    "price": 12.99,
    "currency": "USD",
    "rating": 4.5,
    "reviews_count": 34500,
    "seller_name": "CablePro",
    "brand": "CablePro",
    "availability": "In Stock",
    "main_image": "https://m.media-amazon.com/images/I/example-category.jpg",
    "description": "Durable braided USB-C cable with fast charging support up to 100W.",
    "category": "Electronics > Accessories > Cables"
  }
]